/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/

dojo.provide("rdm.simulinkintegration.diagram.Configuration");

dojo.require("rdm.simulinkintegration.diagram.DiagramStore");
dojo.require("rmpw.dsv.editor.domain.ui.Configuration");
dojo.require("rmpw.diagrams.render.Configuration");
dojo.require("rmpw.dsv.editor.data.EcoreJsonStore");
dojo.require("rmpw.dsv.editor.data.EcoreAuthStore");
dojo.require("rmps.diagrams.layout.GraphConfigurator");

dojo.declare("rdm.simulinkintegration.diagram.Configuration", [rmpw.diagrams.render.Configuration], {
   commandList: [],
   diagramActions: null,
   nodeActions: null,
   edgeActions: null,
   useCamera: true,
   //replace this to test with Auth enabled RDF backed  
   store: rdm.simulinkintegration.diagram.DiagramStore,
   interpretation: null,
   graphConfigurator: rmps.diagrams.layout.GraphConfigurator
});    
